#
# spec file for package ladspa-swh-plugins
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ladspa-swh-plugins
Version:        0.4.15
Release:        6.2
Summary:        LADSPA SWH plugins
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://plugin.org.uk/
Source:         swh-plugins-%{version}.tar.bz2
Source1:        ladspa-swh.tex
Source2:        ladspa-swh.pdf
Patch1:         swh-uninit-variable.diff
Patch2:         swh-readonly.dif
Patch3:         swh-0.4.13-gcc4-fix.diff
Patch4:         swh-nostatic-lib.diff
Patch5:         swh-libblo.dif
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fftw3-devel
BuildRequires:  gcc
BuildRequires:  ladspa-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
Supplements:    ladspa
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a collection of LADSPA (Linux Audio Developer's
Simple Plug-in API) plugins written by Steve Harris.

%prep
%setup -q -n swh-plugins-%{version}
%patch1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
cp gsm/README README-gsm
cp %{SOURCE1} .
cp %{SOURCE2} .
autoreconf -fi

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
CFLAGS="%{optflags} -fPIC -ggdb -DPIC -fno-strict-aliasing" \
./configure --prefix=%{_prefix}
make %{?_smp_mflags} CFLAGS="%{optflags} -fPIC -ggdb -DPIC -fno-strict-aliasing"

%install
make DESTDIR=%{buildroot} plugindir=%{_libdir}/ladspa install
%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/ladspa
%{_datadir}/ladspa
%doc AUTHORS COPYING ChangeLog README TODO README-gsm
%doc ladspa-swh.tex
%doc ladspa-swh.pdf

%changelog
* Mon Mar  3 2014 tiwai@suse.de
- Run spec-cleaner
- Remove obsoleted autoreq/autoprov tags
* Wed Feb 26 2014 tiwai@suse.de
- correct the license to GPL-2.0+
* Mon Dec 16 2013 tiwai@suse.de
- Initial version 0.4.15: split from ladspa package
- Patches carried from the original ladspa package:
  swh-uninit-variable.diff
  swh-readonly.dif
  swh-0.4.13-gcc4-fix.diff
  swh-nostatic-lib.diff
  swh-libblo.dif
